<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>mmWave Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmWave Internal Functions<div class="ingroups"><a class="el" href="group___m_m_w_a_v_e.html">mmWave API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all internal API which are not exposed to the external applications.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gac0f7e4519153c004c39a60076a038d20"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac0f7e4519153c004c39a60076a038d20">MMWave_mboxCallbackFxn</a> (Mbox_Handle handle, Mailbox_Type remoteEndpoint)</td></tr>
<tr class="separator:gac0f7e4519153c004c39a60076a038d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae21f6142ec2841f0b8e289193fecf364"><td class="memItemLeft" align="right" valign="top">static rlComIfHdl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae21f6142ec2841f0b8e289193fecf364">MMWave_mboxOpen</a> (rlUInt8_t deviceIndex, uint32_t flags)</td></tr>
<tr class="separator:gae21f6142ec2841f0b8e289193fecf364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b8aa4e03400a398c720b67bec93f4cc"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b8aa4e03400a398c720b67bec93f4cc">MMWave_mboxClose</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga9b8aa4e03400a398c720b67bec93f4cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dd1d59725a2e3a8d39e61be29014e41"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6dd1d59725a2e3a8d39e61be29014e41">MMWave_mboxRead</a> (rlComIfHdl_t fd, uint8_t *pBuff, uint16_t len)</td></tr>
<tr class="separator:ga6dd1d59725a2e3a8d39e61be29014e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga360efb885c52c6300286c5eea94095ea"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga360efb885c52c6300286c5eea94095ea">MMWave_mboxWrite</a> (rlComIfHdl_t fd, uint8_t *pBuff, uint16_t len)</td></tr>
<tr class="separator:ga360efb885c52c6300286c5eea94095ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa057447ac2521545862d729296624d9d"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa057447ac2521545862d729296624d9d">MMWave_enableDevice</a> (rlUInt8_t deviceIndex)</td></tr>
<tr class="separator:gaa057447ac2521545862d729296624d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5187854e4a71654ecc634a5aa50e67e9"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5187854e4a71654ecc634a5aa50e67e9">MMWave_disableDevice</a> (rlUInt8_t deviceIndex)</td></tr>
<tr class="separator:ga5187854e4a71654ecc634a5aa50e67e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79691830411d7950b1ac3648c94f7697"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga79691830411d7950b1ac3648c94f7697">MMWave_maskHostIRQ</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga79691830411d7950b1ac3648c94f7697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7652c729f4f6979a778cfbcf7fac231f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7652c729f4f6979a778cfbcf7fac231f">MMWave_unmaskHostIRQ</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga7652c729f4f6979a778cfbcf7fac231f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb07361843b5d8e4f4b650d40e16f706"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb07361843b5d8e4f4b650d40e16f706">MMWave_waitIRQStatus</a> (rlComIfHdl_t fd, rlUInt8_t Level)</td></tr>
<tr class="separator:gafb07361843b5d8e4f4b650d40e16f706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafec6f0d5d6c0e7ff483106e52596231b"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafec6f0d5d6c0e7ff483106e52596231b">MMWave_registerInterruptHandler</a> (rlUInt8_t deviceIndex, RL_P_EVENT_HANDLER pHandler, void *pValue)</td></tr>
<tr class="separator:gafec6f0d5d6c0e7ff483106e52596231b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35cb2c4165072f9dd72960c67b919e23"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35cb2c4165072f9dd72960c67b919e23">MMWave_spawn</a> (RL_P_OSI_SPAWN_ENTRY fxn, const void *pValue, uint32_t flags)</td></tr>
<tr class="separator:ga35cb2c4165072f9dd72960c67b919e23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga34e3d5be464a567f82d98bc79e3112dd"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga34e3d5be464a567f82d98bc79e3112dd">MMWave_computeCRC</a> (rlUInt8_t *ptrData, rlUInt32_t dataLen, rlUInt8_t crcType, rlUInt8_t *crc)</td></tr>
<tr class="separator:ga34e3d5be464a567f82d98bc79e3112dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43fb7a36a3dde4bc8bd65ef6162fa57e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga43fb7a36a3dde4bc8bd65ef6162fa57e">MMWave_asyncEventHandler</a> (uint8_t devIndex, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:ga43fb7a36a3dde4bc8bd65ef6162fa57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadccea8da32ee9ac9ad3fb5c6e76694be"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadccea8da32ee9ac9ad3fb5c6e76694be">MMWave_initCRC</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadccea8da32ee9ac9ad3fb5c6e76694be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac062ec39c0543da65e8ccf7fc0f8bcb4"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac062ec39c0543da65e8ccf7fc0f8bcb4">MMWave_deinitCRC</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gac062ec39c0543da65e8ccf7fc0f8bcb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff79f595d53c6a69316e32a052c4733f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff79f595d53c6a69316e32a052c4733f">MMWave_internalLinkSync</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, uint32_t flag)</td></tr>
<tr class="separator:gaff79f595d53c6a69316e32a052c4733f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e6232bf994ab0c0d2bf146663457984"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2e6232bf994ab0c0d2bf146663457984">MMWave_initMMWaveLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga2e6232bf994ab0c0d2bf146663457984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ab75b5e3b8d501b47c62cdb25958482"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4ab75b5e3b8d501b47c62cdb25958482">MMWave_deinitMMWaveLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga4ab75b5e3b8d501b47c62cdb25958482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9dabc7c323d24979915104e96588370b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9dabc7c323d24979915104e96588370b">MMWave_configBPM</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga9dabc7c323d24979915104e96588370b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3487c1482f2df36f6fd9dfab08fe7dc"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf3487c1482f2df36f6fd9dfab08fe7dc">MMWave_configureProfileChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *ptrProfileHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaf3487c1482f2df36f6fd9dfab08fe7dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac8f1bcc08c8d8ad182a456f2bc8b2a52">MMWave_configLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba780bd0b722b1ef450e72a798cd658"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacba780bd0b722b1ef450e72a798cd658">MMWave_startLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gacba780bd0b722b1ef450e72a798cd658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadaad8c3860263bad0f699e3cd3d92b8b">MMWave_stopLink</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga81c894da774ee12e2cd29a2ee3cef8f1">MMWave_executeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b4d46a7c427873a380abaae913bce87"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b4d46a7c427873a380abaae913bce87">MMWave_openLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga9b4d46a7c427873a380abaae913bce87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeedf42bafc59208dbf7371cb6781ef61">MMWave_closeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad619189275caf05f88965936091d9a33"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad619189275caf05f88965936091d9a33">MMWave_initLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gad619189275caf05f88965936091d9a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga458d1da796aacfa5b2c9dc4c1ac0c84e">MMWave_deinitLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16adfbb1bdb33937955d77ca219f2ba8"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga16adfbb1bdb33937955d77ca219f2ba8">MMWave_osalMutexCreate</a> (rlOsiMutexHdl_t *mutexHandle, rlInt8_t *name)</td></tr>
<tr class="separator:ga16adfbb1bdb33937955d77ca219f2ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a62976461badf4450a1f8f4b0761a14"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2a62976461badf4450a1f8f4b0761a14">MMWave_osalMutexLock</a> (rlOsiMutexHdl_t *mutexHandle, rlOsiTime_t timeout)</td></tr>
<tr class="separator:ga2a62976461badf4450a1f8f4b0761a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b0dff04a2feea4bb0ef50ccfc9b8cbe"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3b0dff04a2feea4bb0ef50ccfc9b8cbe">MMWave_osalMutexUnlock</a> (rlOsiMutexHdl_t *mutexHandle)</td></tr>
<tr class="separator:ga3b0dff04a2feea4bb0ef50ccfc9b8cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacbe2849d09a6e23665cfbe8e2da7b5d0"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacbe2849d09a6e23665cfbe8e2da7b5d0">MMWave_osalMutexDelete</a> (rlOsiMutexHdl_t *mutexHandle)</td></tr>
<tr class="separator:gacbe2849d09a6e23665cfbe8e2da7b5d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcc07b6dd0c52915413ea21dfaa4c637"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafcc07b6dd0c52915413ea21dfaa4c637">MMWave_osalSemCreate</a> (rlOsiSemHdl_t *semHandle, rlInt8_t *name)</td></tr>
<tr class="separator:gafcc07b6dd0c52915413ea21dfaa4c637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad47c145850b46d80501bc36c14f3f9a2"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad47c145850b46d80501bc36c14f3f9a2">MMWave_osalSemWait</a> (rlOsiSemHdl_t *semHandle, rlOsiTime_t timeout)</td></tr>
<tr class="separator:gad47c145850b46d80501bc36c14f3f9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5a4221ede72df2414ed761bf43a347d"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa5a4221ede72df2414ed761bf43a347d">MMWave_osalSemSignal</a> (rlOsiSemHdl_t *semHandle)</td></tr>
<tr class="separator:gaa5a4221ede72df2414ed761bf43a347d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d96bbb5eaf180b2a51dad079d5540ea"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d96bbb5eaf180b2a51dad079d5540ea">MMWave_osalSemDelete</a> (rlOsiSemHdl_t *semHandle)</td></tr>
<tr class="separator:ga4d96bbb5eaf180b2a51dad079d5540ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all internal API which are not exposed to the external applications. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga43fb7a36a3dde4bc8bd65ef6162fa57e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_asyncEventHandler </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>devIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>payload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function which is used to handle asynchronous events which are received from the BSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">devIndex</td><td>Device Index </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaeedf42bafc59208dbf7371cb6781ef61"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_closeLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to close the mmWave Link module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga34e3d5be464a567f82d98bc79e3112dd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_computeCRC </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>ptrData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>crcType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to compute the CRC for the specified data buffer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrData</td><td>Pointer to the data buffer for which the CRC is to be computed </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Length of the data buffer for which the CRC is to be computed </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">crcType</td><td>CRC Type i.e. 16bit, 32bit or 64bit. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">crc</td><td>Computed CRC</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9dabc7c323d24979915104e96588370b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_configBPM </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure BPM</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the control config </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac8f1bcc08c8d8ad182a456f2bc8b2a52"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_configLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the mmWave link with the supplied configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf3487c1482f2df36f6fd9dfab08fe7dc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_configureProfileChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *&#160;</td>
          <td class="paramname"><em>ptrProfileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the mmWave link with the specified profile and corresponding chirp configuration. The following order is preserved in the function:</p><ul>
<li>Profile configuration</li>
<li>Chirp configuration</li>
</ul>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrProfileHandle</td><td>Pointer to profile handle </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac062ec39c0543da65e8ccf7fc0f8bcb4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_deinitCRC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize the CRC channel which had been configured.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga458d1da796aacfa5b2c9dc4c1ac0c84e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deinitLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize the mmWave link.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4ab75b5e3b8d501b47c62cdb25958482"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_deinitMMWaveLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize the mmWave Link</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5187854e4a71654ecc634a5aa50e67e9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_disableDevice </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to power off and disable the XWR1XX device</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>Device index which is to be disabled</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa057447ac2521545862d729296624d9d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_enableDevice </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to power on and enable the XWR1XX device</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>Device index which is to be enabled</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga81c894da774ee12e2cd29a2ee3cef8f1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_executeLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to execute the mmWave link.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gadccea8da32ee9ac9ad3fb5c6e76694be"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_initCRC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the CRC channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad619189275caf05f88965936091d9a33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_initLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the mmWave link.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2e6232bf994ab0c0d2bf146663457984"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_initMMWaveLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the mmWave Link</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaff79f595d53c6a69316e32a052c4733f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_internalLinkSync </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>flag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to perform an internal synchronization waiting for the specific flag to be set. The function will loop around until the condition is met</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">flag</td><td>Flag for which we are synchronizing</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga79691830411d7950b1ac3648c94f7697"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_maskHostIRQ </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to mask the interrupts. Since the mmWave control module is using the Mailbox communication interface the driver is handling all the interrupt management. This function is a dummy stub.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Handle to the communication interface</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac0f7e4519153c004c39a60076a038d20"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_mboxCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">Mbox_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mailbox_Type&#160;</td>
          <td class="paramname"><em>remoteEndpoint</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the registered callback function which is invoked when the Mailbox receives data.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Mailbox on which data was received </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">remoteEndpoint</td><td>Remote endpoint from which data was received</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9b8aa4e03400a398c720b67bec93f4cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_mboxClose </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to close the communication interface channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Opaque Handle to the communication channel which is to be closed</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae21f6142ec2841f0b8e289193fecf364"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlComIfHdl_t MMWave_mboxOpen </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>flags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to open the communication interface channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>Device index for which the communication channel to be opened </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">flags</td><td>Flags which are passed to configure the interface</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Communicate Interface Channel Handle </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga6dd1d59725a2e3a8d39e61be29014e41"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_mboxRead </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pBuff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>len</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to read data from the communication interface channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Opaque Handle to the communication channel </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">pBuff</td><td>Pointer to the data buffer which is populated with the received message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>Size of the data buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Number of bytes of received data </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga360efb885c52c6300286c5eea94095ea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MMWave_mboxWrite </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pBuff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>len</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to write data to the communication interface channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Opaque Handle to the communication channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pBuff</td><td>Pointer to the data buffer which is to be written out </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>Size of the data buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Number of bytes of data which is sent </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9b4d46a7c427873a380abaae913bce87"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_openLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to open the mmWave Link module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga16adfbb1bdb33937955d77ca219f2ba8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalMutexCreate </td>
          <td>(</td>
          <td class="paramtype">rlOsiMutexHdl_t *&#160;</td>
          <td class="paramname"><em>mutexHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlInt8_t *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to create a mutex.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">mutexHandle</td><td>Handle to the mutex object which is to be created </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Name of the mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacbe2849d09a6e23665cfbe8e2da7b5d0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalMutexDelete </td>
          <td>(</td>
          <td class="paramtype">rlOsiMutexHdl_t *&#160;</td>
          <td class="paramname"><em>mutexHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to delete the mutex</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHandle</td><td>Handle to the mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2a62976461badf4450a1f8f4b0761a14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalMutexLock </td>
          <td>(</td>
          <td class="paramtype">rlOsiMutexHdl_t *&#160;</td>
          <td class="paramname"><em>mutexHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlOsiTime_t&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to lock the mutex</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHandle</td><td>Handle to the mutex object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">timeout</td><td>Maximum timeout to wait for the mutex</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3b0dff04a2feea4bb0ef50ccfc9b8cbe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalMutexUnlock </td>
          <td>(</td>
          <td class="paramtype">rlOsiMutexHdl_t *&#160;</td>
          <td class="paramname"><em>mutexHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to unlock the mutex</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mutexHandle</td><td>Handle to the mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafcc07b6dd0c52915413ea21dfaa4c637"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalSemCreate </td>
          <td>(</td>
          <td class="paramtype">rlOsiSemHdl_t *&#160;</td>
          <td class="paramname"><em>semHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlInt8_t *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to create a semaphore</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">semHandle</td><td>Handle to the semaphore object which is to be created </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Name of the semaphore object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4d96bbb5eaf180b2a51dad079d5540ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalSemDelete </td>
          <td>(</td>
          <td class="paramtype">rlOsiSemHdl_t *&#160;</td>
          <td class="paramname"><em>semHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to delete the semaphore object</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHandle</td><td>Handle to the semaphore</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa5a4221ede72df2414ed761bf43a347d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalSemSignal </td>
          <td>(</td>
          <td class="paramtype">rlOsiSemHdl_t *&#160;</td>
          <td class="paramname"><em>semHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to signal the semaphore object</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHandle</td><td>Handle to the semaphore</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad47c145850b46d80501bc36c14f3f9a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t MMWave_osalSemWait </td>
          <td>(</td>
          <td class="paramtype">rlOsiSemHdl_t *&#160;</td>
          <td class="paramname"><em>semHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlOsiTime_t&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered OSAL function which is used to wait on the semaphore object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">semHandle</td><td>Handle to the semaphore </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">timeout</td><td>Maximum timeout to wait for the semaphore</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafec6f0d5d6c0e7ff483106e52596231b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_registerInterruptHandler </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RL_P_EVENT_HANDLER&#160;</td>
          <td class="paramname"><em>pHandler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to register the interrupt handler. In the case of the Mailbox the driver is responsible for the interrupt management. This function is a dummy stub</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>Device for which the interrupt is to be registered </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pHandler</td><td>ISR Handler </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pValue</td><td>Argument to the ISR</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga35cb2c4165072f9dd72960c67b919e23"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_spawn </td>
          <td>(</td>
          <td class="paramtype">RL_P_OSI_SPAWN_ENTRY&#160;</td>
          <td class="paramname"><em>fxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>flags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function which is invoked to ensure that the spawn function is invoked in a different execution context</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fxn</td><td>Pointer to the function to be executed in a different context </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pValue</td><td>Pointer of data to be passed to the function </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">flags</td><td>Flag to indicate preference</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacba780bd0b722b1ef450e72a798cd658"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_startLink </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to start the mmWave link. This function can only be invoked once the configuration has been completed successfully.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gadaad8c3860263bad0f699e3cd3d92b8b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_stopLink </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to stop the mmWave link.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the control MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7652c729f4f6979a778cfbcf7fac231f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_unmaskHostIRQ </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to unmask the interrupts to indicate that the message has been successfully handled</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Handle to the communication interface</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafb07361843b5d8e4f4b650d40e16f706"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static rlInt32_t MMWave_waitIRQStatus </td>
          <td>(</td>
          <td class="paramtype">rlComIfHdl_t&#160;</td>
          <td class="paramname"><em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>Level</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the mmWave link registered callback function to poll the host interrupt status. In the case of the Mailbox the driver is responsible for the interrupt management. This function is a dummy stub</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>Handle to the communication interface </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Level</td><td>Wait for IRQ Level(high/low)</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0 indicating that the IRQ Line is low </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
